com.sun.mail.iap

## Class ParsingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sun.mail.iap.ProtocolException
      - - com.sun.mail.iap.ParsingException

- All Implemented Interfaces:
    Serializable

      public class ParsingException
      extends ProtocolException

  Author:
    John Mani
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.sun.mail.iap.ProtocolException

      `response`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParsingException()` Constructs an ParsingException with no detail message.
    `ParsingException(Response r)` Constructs an ParsingException with the specified Response.
    `ParsingException(String s)` Constructs an ParsingException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class com.sun.mail.iap.ProtocolException

      `getResponse`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParsingException

          public ParsingException()

      Constructs an ParsingException with no detail message.

    - #### ParsingException

          public ParsingException(String s)

      Constructs an ParsingException with the specified detail message.
      Parameters:
        `s` - the detail message

    - #### ParsingException

          public ParsingException(Response r)

      Constructs an ParsingException with the specified Response.
      Parameters:
        `r` - the Response

Copyright © 2016 Oracle. All rights reserved.